summaryrefslogtreecommitdiffstats
path: root/network/enet
diff options
context:
space:
mode:
author otzy_0072010-05-13 00:59:57 +0200
committer David Somero2010-05-13 00:59:57 +0200
commit99edd7ff7afef57faf27aa3f17c0198052d6a81a (patch)
tree0ef77a25f0ad19c43122ea9776bdad8a7ea78a56 /network/enet
parenta4a8fd859261ee966a022e6c3e0494f036b49187 (diff)
downloadslackbuilds-99edd7ff7afef57faf27aa3f17c0198052d6a81a.tar.gz
network/enet: Added to 13.0 repository
Diffstat (limited to 'network/enet')
-rw-r--r--network/enet/README4
-rw-r--r--network/enet/enet.SlackBuild75
-rw-r--r--network/enet/enet.info10
-rw-r--r--network/enet/slack-desc20
4 files changed, 109 insertions, 0 deletions
diff --git a/network/enet/README b/network/enet/README
new file mode 100644
index 0000000000..c7ab446f5d
--- /dev/null
+++ b/network/enet/README
@@ -0,0 +1,4 @@
+ENet's purpose is to provide a relatively thin, simple and robust network
+communication layer on top of UDP (User Datagram Protocol). The primary
+feature it provides is optional reliable, in-order delivery of packets.
+
diff --git a/network/enet/enet.SlackBuild b/network/enet/enet.SlackBuild
new file mode 100644
index 0000000000..0f014db043
--- /dev/null
+++ b/network/enet/enet.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for enet
+
+# Written by otzy_007 (oz@oprod.net)
+
+PRGNAM=enet
+VERSION=${VERSION:-1.2.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README LICENSE ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz} \ No newline at end of file
diff --git a/network/enet/enet.info b/network/enet/enet.info
new file mode 100644
index 0000000000..d0cf7ab7e6
--- /dev/null
+++ b/network/enet/enet.info
@@ -0,0 +1,10 @@
+PRGNAM="enet"
+VERSION="1.2.1"
+HOMEPAGE="http://enet.bespin.org/index.html"
+DOWNLOAD="http://enet.bespin.org/download/enet-1.2.1.tar.gz"
+MD5SUM="892fa7318812658e4485019d55abeea0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="otzy_007"
+EMAIL="oz@oprod.net"
+APPROVED="dsomero"
diff --git a/network/enet/slack-desc b/network/enet/slack-desc
new file mode 100644
index 0000000000..8e7e4a31c6
--- /dev/null
+++ b/network/enet/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+enet: ENet (simple and robust network communication layer)
+enet:
+enet: ENet's purpose is to provide a relatively thin,
+enet: simple and robust network communication layer on top of UDP
+enet: (User Datagram Protocol). The primary feature it provides
+enet: is optional reliable, in-order delivery of packets.
+enet:
+enet: Homepage: http://enet.bespin.org/index.html
+enet:
+enet:
+enet:
+